gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A FontSelectionDialog is a widget that opens a window requesting the user to select a font

The FontSelectionDialog widget displays a window listing the available fonts, styles and sizes, allowing the user to select a font. It effectively places a widget in a .

Gtk.Dialog Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Boolean `` Sets the name of the font that is selected in this widget. The name of a system font to select. if was a valid font, otherwise.

  If this property is used to alter the widget's font name to a font that could not be found, the widget will retain its original font selection.

- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of FontSelectionDialog, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Create a new FontSelectionDialog
  A title that will appear in the window's title bar.
  A new FontSelectionDialog
- Property
  System.String The name of the font that is selected in this widget The name of the currently selected font.
- Property
  System.String The text used to display a preview of the selected font. Text that should be displayed using the selected font. The text currently displaying the selected font.

  This property determines the exact string that is displayed in the 'preview area' of the FontSelectionDialog.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  Gdk.Font To be added a To be added